dhall-1.19.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Freeze

Contents

- Freeze

Description

This module contains the implementation of the `dhall freeze` subcommand

Synopsis

- freeze :: Maybe FilePath -> StandardVersion -> IO ()
- hashImport :: FilePath -> StandardVersion -> Import -> IO Import

# Freeze

freeze Source #

Arguments

:: Maybe FilePath | Modify file in-place if present, otherwise read from `stdin` and write to `stdout`
-> StandardVersion |
-> IO () |

Implementation of the `dhall freeze` subcommand

hashImport Source #

Arguments

:: FilePath | Current working directory
-> StandardVersion |
-> Import |
-> IO Import |

Retrieve an `Import` and update the hash to match the latest contents